
%define rel 1
%define cvs	cvs20070413

%define release %mkrel 0.%cvs.%rel

%define name    libgig
%define version 3.1.1

%define lib_major       6
%define lib_name        %mklibname gig %{lib_major}

Summary: C++ library for loading Gigasampler files and DLS Level 1/2 files.
Name: %name
Version: %version
Release: %release
License: GPL
Group: System/Libraries
Source0: %{name}-%{version}.tar.bz2
URL: http://stud.fh-heilbronn.de/~cschoene/projects/libgig/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	audiofile-devel >= 0.2.3
BuildRequires:	doxygen
BuildRequires:	libflac-devel
BuildRequires:	libsndfile-devel >= 1.0.2
BuildRequires:	pkgconfig
Requires:	%{lib_name} = %{version}-%{release}

%description
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package -n %{lib_name}
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files.
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package -n %{lib_name}-devel
Summary: C++ library for loading Gigasampler files and DLS Level 1/2 files.
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%prep
%setup -q -n %{name}
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi

%build
aclocal
libtoolize --force --copy
autoheader
automake --add-missing --copy
autoconf
%configure2_5x
%make
%make docs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %lib_name
/sbin/ldconfig
%postun -n %lib_name
/sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libgig.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
#%doc doc/html/*
%{_libdir}/libgig.a
%{_libdir}/libgig.so
%exclude %{_libdir}/libgig.la
%{_libdir}/pkgconfig/gig.pc
%{_includedir}/*

%changelog
* Thu Apr 26 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.1.1-1
- 3.1.1-cvs20070413
- Rebuild against flac-1.1.4

* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.1.0-1
- Rebuild for pclos2007
- 3.1.0 final

* Mon Oct 03 2005 Torbjorn Turpeinen tobbe@nyvalls.se> 2.0.2-1.pclo2005.thac
- Rebuilt for PCLinuxOs 2005
- 2.0.2

* Wed Jun 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.1-1
- updated to 2.0.1
* Fri May 26 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.0-1
- updated to 2.0.0
* Thu Jan 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- packaged for Planet CCRMA from original spec file in tarball
- spec file tweaks
* Wed Nov 24 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- prepared for 1.0.0
* Sat Jul 10 2004 Christian Schoenebeck <cuse@users.sourceforge.net>
- renamed 'libgig.pc' to 'gig.pc' as well as the pkg-config lib name
* Wed Jul 02 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created and corrected initial libgig.spec
